Organizations

Add or invite a member

Add a user to the org (if they exist) or create an invitation with a magic link token.

POST/api/orgs/{orgId}/members

Authorization

better-auth.session_token<token>

Cookie session from Better Auth. Requires X-Org-Id header for org-scoped routes.

In: cookie

Path Parameters

orgId*string

Request Body

application/json

curl -X POST "https://loading/api/orgs/string/members" \  -H "Content-Type: application/json" \  -d '{    "email": "[email protected]"  }'
{
  "added": true,
  "invited": true,
  "userId": "string",
  "email": "string",
  "role": "string",
  "token": "string"
}
{
  "type": "https://docs.appstrate.dev/errors/unauthorized",
  "title": "Unauthorized",
  "status": 401,
  "detail": "Invalid or missing session",
  "code": "unauthorized",
  "requestId": "req_abc123"
}
{
  "type": "https://docs.appstrate.dev/errors/forbidden",
  "title": "Forbidden",
  "status": 403,
  "detail": "Insufficient permissions",
  "code": "forbidden",
  "requestId": "req_abc123"
}